## libvpx-dmo 1.10.0+really1.8.1

=== debian/changelog ===
libvpx-dmo (1.10.0+really1.8.1-dmo1) unstable; urgency=medium

  * Back to 1.8.1 (1.10.0 break chromium and firefox).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 27 Apr 2021 15:36:46 +0200

libvpx-dmo (1.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Mar 2021 08:02:15 +0100

libvpx-dmo (1.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 Jul 2020 01:58:34 +0200

libvpx-dmo (1.8.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Build with --enable-vp9-highbitdepth

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Dec 2019 11:37:06 +0100

libvpx-dmo (1.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Jul 2019 07:25:27 +0200

libvpx-dmo (1.8.0-dmo2) unstable; urgency=medium

  * Add neon library for armhf arch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Feb 2019 13:29:12 +0100

libvpx-dmo (1.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Feb 2019 11:21:51 +0100

libvpx (1.7.0-3) unstable; urgency=medium

  * Uploading to unstable
  * Install examples into libvpx-dev

 -- Ondřej Nový <onovy@debian.org>  Sat, 17 Feb 2018 13:47:07 +0100

libvpx (1.7.0-2) experimental; urgency=medium

  * New upstream release
    - This release is ABI incompatible due to new vp9 encoder features.
  * Standards-Version is 4.1.3 now (no changes needed)
  * d/copyright: Bump copyright year
  * d/libvpx-doc.lintian-overrides: Remove, not needed anymore
  * Bump debhelper compat level to 11

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Feb 2018 15:41:07 +0100

libvpx (1.6.1-3) unstable; urgency=medium

  * Team upload.
  * Mark libvpx-doc as Multi-Arch:foreign.
  * Do not forcefully disable PIE anymore as -pie changed meaning.
    (Closes: #859415)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Apr 2017 23:06:37 +0200

libvpx (1.6.1-2) unstable; urgency=medium

  * Add arm64 native support
  * Build generic-gnu on armel/armhf because armv6-linux-gcc support was dropped

 -- Ondřej Nový <onovy@debian.org>  Tue, 17 Jan 2017 17:23:34 +0100

libvpx (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Removed d/patches/fix-build.patch - not needed anymore

 -- Ondřej Nový <onovy@debian.org>  Tue, 17 Jan 2017 12:59:18 +0100

libvpx (1.6.0-3) unstable; urgency=medium

  * Bumped debhelper version to 10
  * Install vpx.pc into a multiarch location (Closes: #843724)

 -- Ondřej Nový <onovy@debian.org>  Thu, 10 Nov 2016 09:57:03 +0100

libvpx (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Sep 2016 10:46:47 +0200

libvpx (1.6.0-1) experimental; urgency=medium

  * New upstream release
    - ABI version bump
  * Removed d/p/fix-armhf-link.patch, applied upstream
  * Removed useless rm from -dbg package
  * Use dh sequencer and dh-exec for building package
  * Enabled all but PIE hardening
  * Added myself as uploader
  * Added doc-base for documentation
  * d/copyright: Rewritten for new upstream release in machine-readable format
  * Override Lintian embedded-javascript-library - it's not jQuery lib
  * d/copyright: Added myself to Debian part
  * d/p/fix-build.patch: Added DEP-3 header
  * Added man pages (Closes: #769532)
  * Enabled parallel building
  * Added autopkgtest
  * d/rules: Removed dh_strip and dh_makeshlibs overrides

 -- Ondřej Nový <onovy@debian.org>  Thu, 18 Aug 2016 15:12:01 +0200

libvpx (1.5.0-4) unstable; urgency=medium

  * Team upload.
  * Moved to Debian Multimedia Maintainers team
  * Added d/watch file
  * Bumped debhelper version to 9
  * Use automatic debug packages instead of libvpx3-dbg
  * Bumped Standards-Version to 3.9.8 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Wed, 10 Aug 2016 23:04:35 +0200

libvpx (1.5.0-3) unstable; urgency=medium

  * debian/control:
    + Remove php5-cli from Build-Depends-Indep, it's unused since a while
      anyway and going to be removed in favor of php7 (Closes: #821689).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 May 2016 11:50:23 +0300

libvpx (1.5.0-2) unstable; urgency=medium

  * debian/rules:
    + Disable PPC specific target to fix FTBFS. It's not supported anymore.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 28 Dec 2015 16:40:00 +0200

libvpx (1.5.0-1) unstable; urgency=medium

  * New upstream release:
    + debian/rules,
      debian/control,
      debian/libvpx*.symbols:
      - Update from libvpx2 to libvpx3.
  * debian/patches/fix-build.patch:
    + Fix invalid C that causes the build to fail (Closes: #809129).
      Patch based on the one from Colin Watson from
      https://bugs.launchpad.net/ubuntu/+source/libvpx/+bug/1528297

 -- Sebastian Dröge <slomo@debian.org>  Mon, 28 Dec 2015 09:59:43 +0200

libvpx (1.4.0-4) unstable; urgency=medium

  * debian/rules:
    + Configure with --size-limit=16384x16384 to work around
      CVE-2015-1258 like Chrome does. Streams with a higher
      resolution than that will fail to decode now.
    + Configure with --enable-postproc --enable-multi-res-encoding
      --enable-temporal-denoising --enable-vp9-temporal-denoising
      --enable-vp9-postproc to mirror the configuration that Chrome
      is using.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Jun 2015 10:09:08 +0200

libvpx (1.4.0-3) unstable; urgency=medium

  * debian/rules:
    + Disable MIPS assembly in the rules for now to try to fix FTBFS. The
      assembly is only used in the tools, not the library, and requires
      DSP R2 support.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 May 2015 14:19:25 +0300

libvpx (1.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 11:40:02 +0300


